SDL_GetRelativeMouseState(3)

NAME
SDL_GetRelativeMouseState - Retrieve the relative state of the mouse.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetRelativeMouseState(float *x, float *y);

DESCRIPTION
The current button state is returned as a button bitmask, which can be tested using the SDL_BUTTON(X) macros (where X is generally 1 for the left, 2 for middle, 3 for the right button), and x and y are set to the mouse deltas since the last call to SDL_GetRelativeMouseState () or since event initialization. You can pass NULL for either x or y .

FUNCTION PARAMETERS

x   a pointer filled with the last recorded x coordinate of the mouse

y   a pointer filled with the last recorded y coordinate of the mouse

RETURN VALUE
Returns a 32-bit button bitmask of the relative button state.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetMouseState(3)